Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Dantrell's GNOME Without Systemd Project (Part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... , 21, 22, 23  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 743
Location: Earth

PostPosted: Tue Oct 06, 2020 3:08 pm    Post subject: Reply with quote

saboya wrote:
Tried to boot without it, black screen.

Thanks for testing.

It looks like startx works whereas GDM results in a black screen.

I was having trouble with GNOME 3.38 myself and was hoping I caught everything.

Since it looks like I didn't I'm currently not advising anyone else to test GNOME 3.38 just yet unless you have time to spend debugging.

P.S. It's possible that GNOME 3.38 specifically requires GDM 3.38 which is currently keyword masked since there's a couple issues with it I have to resolve.

saboya wrote:
Small issue emerging media-plugins/grilo-plugins-0.3.12: [...]

GNOME Music depends on the newer version but Grilo Plugins complains even though they can be installed simultaneously.

Looks like Grilo Plugins needs to be patched.

saboya wrote:
Well apparently libhandy was broken before as well. The issue is that the ebuild looks for files named: [...]

Fixed.

saboya wrote:
x11-wm/mutter is missing a gnome-base/gnome-settings-daemon dependency.

Is this one for GNOME 3.36 or GNOME 3.38?

Child_of_Sun_24 wrote:
When i try to emerge gdm-3.36.3 the folowing error appears: [...]

Fixed.
_________________
Dantrell B.
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 543
Location: Brazil

PostPosted: Tue Oct 06, 2020 4:05 pm    Post subject: Reply with quote

dantrell wrote:

Thanks for testing.


Np!

dantrell wrote:

saboya wrote:
x11-wm/mutter is missing a gnome-base/gnome-settings-daemon dependency.

Is this one for GNOME 3.36 or GNOME 3.38?


It happened when I was reverting to 3.36, but I assume it should be there for 3.38 as well. This issue probably never happens to anyone because it's pulled by other packages that depend on it:

Code:
# equery depends gnome-settings-daemon
 * These packages depend on gnome-settings-daemon:
gnome-base/gdm-3.34.1-r1 (>=gnome-base/gnome-settings-daemon-3.1.4)
gnome-base/gnome-control-center-3.36.4 (>=gnome-base/gnome-settings-daemon-3.27.90[colord,input_devices_wacom?])
gnome-base/gnome-light-3.36.0 (>=gnome-base/gnome-settings-daemon-3.36.0[cups?])
gnome-base/gnome-session-3.36.0 (>=gnome-base/gnome-settings-daemon-3.23.2)
gnome-base/gnome-shell-3.36.5 (>=gnome-base/gnome-settings-daemon-3.8.3)
gnome-extra/gnome-tweaks-3.34.0 (>=gnome-base/gnome-settings-daemon-3)
sys-apps/gnome-disk-utility-3.36.3 (gnome ? >=gnome-base/gnome-settings-daemon-3.8)


I just happened to be on a weird state after trying to revert back to 3.36 and having some issues. But I can confirm mutter complains when building if you don't have it installed.
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 543
Location: Brazil

PostPosted: Tue Oct 06, 2020 4:44 pm    Post subject: Reply with quote

dantrell wrote:
saboya wrote:
Small issue emerging media-plugins/grilo-plugins-0.3.12: [...]

GNOME Music depends on the newer version but Grilo Plugins complains even though they can be installed simultaneously.

Looks like Grilo Plugins needs to be patched.

Is there anything besides totem that depends on the old tracker? Maybe updating totem to 3.38 we can have only tracker3 on the system.
Back to top
View user's profile Send private message
Child_of_Sun_24
Guru
Guru


Joined: 28 Jul 2004
Posts: 506

PostPosted: Tue Oct 06, 2020 5:39 pm    Post subject: Reply with quote

I have installed gnome-3.38 and had no errors during compiling, and with fbdev in my VM it works without problems. Haven't tested it native so i can't tell if there is any difference, i will do this on thursday, then i have got time for it.

*EDIT* One Problem that i had was switching the profile to 17.1 extended and normal with eselect profile, i had to make a symlink manually to choose the profile. (After a reboot it looks like it is now working with eselect profile)
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 743
Location: Earth

PostPosted: Tue Oct 06, 2020 7:06 pm    Post subject: Reply with quote

saboya wrote:
Is there anything besides totem that depends on the old tracker? Maybe updating totem to 3.38 we can have only tracker3 on the system.

I poked around the source code and realized that I misinterpreted the error message.

The problem was with Grilo Plugins but it didn't need to be patched. Instead, the tracker3 module needed to be disabled.

P.S. Thanks for hinting that Totem had an update.

Child_of_Sun_24 wrote:
I have installed gnome-3.38 and had no errors during compiling, and with fbdev in my VM it works without problems. Haven't tested it native so i can't tell if there is any difference, i will do this on thursday, then i have got time for it.

Thanks for the feedback.

You are probably the only one who has GDM working. 8O

Let me know how your native test goes when you get around to it.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Child_of_Sun_24
Guru
Guru


Joined: 28 Jul 2004
Posts: 506

PostPosted: Wed Oct 07, 2020 3:38 pm    Post subject: Reply with quote

I now tested it native and it works with latest gdm and latest nvidia-drivers. I have a X desktop can use my apps and so on.

Hope this helps a bit.
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 543
Location: Brazil

PostPosted: Wed Oct 07, 2020 6:05 pm    Post subject: Reply with quote

Given I have some deadlines to meet and a short business trip coming up, I'll be unable to test for the next 5-6 days, but I'll provide some feedback as soon as possible.
Back to top
View user's profile Send private message
simonvanderveldt
Tux's lil' helper
Tux's lil' helper


Joined: 26 Jan 2016
Posts: 124

PostPosted: Wed Oct 07, 2020 6:15 pm    Post subject: Reply with quote

dantrell wrote:
simonvanderveldt wrote:
As long as there's a way for users to choose their opengl implementation I think it's fine.

saboya wrote:
Basically, libglvnd is the distro-agnostic standard way of solving the same problem eselect-opengl was meant to solve, even though each solution does it in its own way.

This brings me back to what I said previously.

If libglvnd is supposed to replace eselect-opengl then:

dantrell wrote:
[...] what's the libglvnd equivalent of "eselect opengl set nvidia" and "eselect opengl set xorg-11"?

There's something called The 15 Second Rule (but let's be generous and make it The 5 Minute Rule).

If, in that time, you can't find the equivalent functionality you need, then the replacement is not a replacement.

If I missed a trivial way to specify the OpenGL implementation system-wide on-the-fly, let me know. :?


AFAIK it's just setting the __EGL_VENDOR_LIBRARY_FILENAMES env var to point to the correct config file (which should all live in /usr/share/glvnd/egl_vendor.d).
I think this should cover most/all usecases? Do you think this is missing some functionality compared to eselect-opengl?

It isn't very known yet though and does lack some discoverability/documentation, no mention in the gentoo wiki, only one mention in the Arch wiki (https://wiki.archlinux.org/index.php/Bumblebee#Discrete_card_always_on_and_nvidia_driver_cannot_be_unloaded) and there are of course the upstream docs (https://github.com/NVIDIA/libglvnd/blob/master/src/EGL/icd_enumeration.md).
Back to top
View user's profile Send private message
Cuong Nguyen
Tux's lil' helper
Tux's lil' helper


Joined: 18 Jan 2018
Posts: 148

PostPosted: Thu Oct 08, 2020 5:45 am    Post subject: What happened to app-eselect/eselect-opengl Reply with quote

What happened to app-eselect/eselect-opengl
Code:

# emerge -pv gnome

emerge: there are no ebuilds to satisfy ">=app-eselect/eselect-opengl-1.3.0".
(dependency required by "media-libs/mesa-20.1.8::gentoo" [ebuild])
(dependency required by "gnome-base/gnome-session-3.38.0::dantrell-gnome-3-38[-wayland]" [ebuild])
(dependency required by "gnome-base/gnome-control-center-3.38.1::dantrell-gnome-3-38" [ebuild])
(dependency required by "net-libs/gnome-online-accounts-3.37.90::dantrell-gnome-3-38[gnome]" [ebuild])
(dependency required by "gnome-base/gvfs-1.46.1::dantrell-gnome-3-38[gnome-online-accounts]" [ebuild])
(dependency required by "gnome-base/gnome-3.38.0::dantrell-gnome-3-38" [ebuild])
(dependency required by "gnome" [argument])
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 743
Location: Earth

PostPosted: Thu Oct 08, 2020 7:55 am    Post subject: Reply with quote

dantrell wrote:
It's possible that GNOME 3.38 specifically requires GDM 3.38 which is currently keyword masked since there's a couple issues with it I have to resolve.

Child_of_Sun_24 wrote:
I now tested it native and it works with latest gdm and latest nvidia-drivers. I have a X desktop can use my apps and so on.

Thanks for verifying.

I can also now confirm that GDM works and that no changes were necessary (overlay wise) to accomplish this.

saboya wrote:
Tried to boot without it, black screen.

saboya wrote:
Given I have some deadlines to meet and a short business trip coming up, I'll be unable to test for the next 5-6 days, but I'll provide some feedback as soon as possible.

Which means, you probably have a local issue.

Please link me your /var/log/gdm/greeter.log file if you get a black screen again whenever you get around to testing.

simonvanderveldt wrote:
AFAIK it's just setting the __EGL_VENDOR_LIBRARY_FILENAMES env var to point to the correct config file (which should all live in /usr/share/glvnd/egl_vendor.d).
I think this should cover most/all usecases? Do you think this is missing some functionality compared to eselect-opengl?

It isn't very known yet though and does lack some discoverability/documentation, no mention in the gentoo wiki, only one mention in the Arch wiki (https://wiki.archlinux.org/index.php/Bumblebee#Discrete_card_always_on_and_nvidia_driver_cannot_be_unloaded) and there are of course the upstream docs (https://github.com/NVIDIA/libglvnd/blob/master/src/EGL/icd_enumeration.md).

Thanks for the links.

A quick look and see shows that libglvnd is still explicitly managed through environment variables which are unreliable since they are ignored if the process is setuid.

If that caveat is okay then I suppose you can say that there isn't any functionality missing, however, the ease of eselect opengl definitely isn't there since you have to manually specify everything.

Looks like eselect opengl should have simply gained libglvnd support.

Cuong Nguyen wrote:
What happened to app-eselect/eselect-opengl [...]

It was removed from the main tree which has nothing to do with me.

For details, see Gentoo commits 23dc0bb and 89f9953.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1122

PostPosted: Sat Oct 10, 2020 12:30 pm    Post subject: Reply with quote

Hi dantrell, I wanted to update my box - with overlay for 3-36 still active before I would look if the combined profile already is ready for the switch to 3-38. I get this after sync:
Code:
emerge world -uUDNav --with-bdeps=y && emerge --depclean && revdep-rebuild && etc-update && emerge @preserved-rebuild

These are the packages that would be merged, in order:

Calculating dependencies      ... done!                 

!!! All ebuilds that could satisfy ">=sys-auth/pambase-20200616" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-auth/pambase-20200917::dantrell-gnome (masked by: missing keyword)
- sys-auth/pambase-20200917::gentoo (masked by: package.mask)
- sys-auth/pambase-20200817::dantrell-gnome (masked by: missing keyword)
- sys-auth/pambase-20200806::dantrell-gnome (masked by: missing keyword)
- sys-auth/pambase-20200618::dantrell-gnome (masked by: missing keyword)
(dependency required by "sys-libs/pam-1.4.0_p20200829::gentoo" [ebuild])
(dependency required by "sys-auth/pambase-20200304::dantrell-gnome[cracklib]" [installed])
(dependency required by "sys-auth/polkit-0.117::dantrell-gnome[pam]" [installed])
(dependency required by "sys-auth/polkit-qt-0.113.0::gentoo" [installed])
(dependency required by "kde-frameworks/kauth-5.74.0::gentoo" [ebuild])
(dependency required by "kde-frameworks/kconfigwidgets-5.74.0::gentoo" [ebuild])
(dependency required by "kde-frameworks/kiconthemes-5.74.0::gentoo" [ebuild])
(dependency required by "kde-plasma/polkit-kde-agent-5.19.5::gentoo" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Thanks in advance for any advice and keep up your great work :)
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 743
Location: Earth

PostPosted: Sun Oct 11, 2020 3:02 am    Post subject: Reply with quote

Elleni wrote:
Hi dantrell, I wanted to update my box - with overlay for 3-36 still active before I would look if the combined profile already is ready for the switch to 3-38.

I'm a bit concerned about the black screen @saboya got so I'm waiting a bit before I switch things over.

Elleni wrote:
I get this after sync: [...]

Currently investigating...

Edit: So this was due to changes in the main tree. Sync up and you should be good to go.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1122

PostPosted: Sun Oct 11, 2020 11:03 am    Post subject: Reply with quote

Great, thank you. In the meantime I'll update my box and come back when ready. :)

I had to additionally add dev-libs/qtcompress-0_p20180513 ~amd64 (required by stellarium-0.20.3) to package.accept_keywords

And I see - but that's probably on purpose:
Code:
!!! The following update has been skipped due to unsatisfied dependencies:

mail-client/geary:0

  selected: (mail-client/geary-3.34.2-r3:0/0::dantrell-gnome, installed)
  skipped: (mail-client/geary-3.36.3.1:0/0::dantrell-gnome, ebuild scheduled for merge) (see unsatisfied dependency below)

!!! All ebuilds that could satisfy ">=dev-libs/libpeas-1.24.0" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-libs/libpeas-1.28.0::dantrell-gnome (masked by: package.mask, missing keyword)
/var/lib/layman/dantrell-gnome/profiles/targets/desktop/gnome/3.36/package.mask:
# Masked to freeze the state of GNOME

- dev-libs/libpeas-1.26.0::dantrell-gnome (masked by: missing keyword)
- dev-libs/libpeas-1.26.0::gentoo (masked by: package.mask)
- dev-libs/libpeas-1.24.1::dantrell-gnome (masked by: missing keyword)
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 743
Location: Earth

PostPosted: Sun Oct 11, 2020 12:10 pm    Post subject: Reply with quote

Elleni wrote:
And I see - but that's probably on purpose: [...]

This one was an oversight.

I slotted new versions of Geary in ~ but forgot I previously allowed stable access as well.

Sync up and you should be good to go.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1122

PostPosted: Sun Oct 11, 2020 5:29 pm    Post subject: Reply with quote

Synced but still get the same skipped due to unsatisfied dependencies. I proceed with all other updats and will be back later :)
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 743
Location: Earth

PostPosted: Mon Oct 12, 2020 6:23 am    Post subject: Reply with quote

Elleni wrote:
Synced but still get the same skipped due to unsatisfied dependencies.

Investigating again...

Okay, sync up and yada yada. :twisted:
_________________
Dantrell B.
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1122

PostPosted: Mon Oct 12, 2020 10:57 am    Post subject: Reply with quote

Ok, my system is up to date and ready for testing 3-38 as soon as you decide to switch the combined profile :)

Maybe we could have a combined profile for both, 3-36 and 3-38 so when something goes south while testing we could easily switch back to 3-36? :wink:
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 743
Location: Earth

PostPosted: Mon Oct 12, 2020 7:21 pm    Post subject: Reply with quote

Elleni wrote:
Maybe we could have a combined profile for both, 3-36 and 3-38 so when something goes south while testing we could easily switch back to 3-36? :wink:

This is already the case, except that it's currently pointed to 3.34 and 3.36.

I'm trying to avoid polluting "eselect profile list" but maybe there's a clever solution I could implement that doesn't increase the work necessary to support the combined profile.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1122

PostPosted: Mon Oct 12, 2020 7:51 pm    Post subject: Reply with quote

Thats great! I don't want you to have increased work either as providing the combined profile is already a great thing, so I'll happily wait until you consider 3-38 stable enough to switch and I will happily test when the time has come. Thanks :D
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 543
Location: Brazil

PostPosted: Wed Oct 14, 2020 4:44 pm    Post subject: Reply with quote

I have some time to test it again. To rule out anything too specific about my desktop, I just tried to upgrade on my laptop, with the same results. Laptop has a Vega 10 GPU, so no nvidia-driver shenanigans involved.

Do note that I am the weird "gnome-without-systemd" with systemd (as in, I do use systemd with your overlay), so this might be it. Here's a log from gdm with debug enabled (stopping and starting the service):

Code:

out 14 13:38:15 saboya-laptop gdm-launch-environment][738]: AccountsService: Could not get current seat: No data available
out 14 13:38:51 saboya-laptop systemd[1]: Stopping GNOME Display Manager...
out 14 13:38:52 saboya-laptop gdm[735]: Child process -743 was already dead.
out 14 13:38:52 saboya-laptop gdm[735]: GdmDisplay: Session never registered, failing
out 14 13:38:52 saboya-laptop gdm[735]: GLib: g_hash_table_foreach: assertion 'version == hash_table->version' failed
out 14 13:38:52 saboya-laptop systemd[1]: gdm.service: Succeeded.
out 14 13:38:52 saboya-laptop systemd[1]: Stopped GNOME Display Manager.
out 14 13:38:52 saboya-laptop systemd[1]: Starting GNOME Display Manager...
out 14 13:38:52 saboya-laptop gdm[856]: Enabling debugging
out 14 13:38:52 saboya-laptop gdm[856]: Changing user:group to gdm:gdm
out 14 13:38:52 saboya-laptop systemd[1]: Started GNOME Display Manager.
out 14 13:38:52 saboya-laptop gdm[856]: Successfully connected to D-Bus
out 14 13:38:52 saboya-laptop gdm[856]: GdmManager: GDM starting to manage displays
out 14 13:38:52 saboya-laptop gdm[856]: GdmLocalDisplayFactory: enumerating seats from logind
out 14 13:38:52 saboya-laptop gdm[856]: GdmLocalDisplayFactory: X11 login display for seat seat0 requested
out 14 13:38:52 saboya-laptop gdm[856]: GdmLocalDisplayFactory: Adding display on seat seat0
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: id: (null)
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: seat id: (null)
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: session class: greeter
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: initial: no
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: allow timed login: yes
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: local: yes
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: seat id: seat0
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: initial: yes
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplayStore: Adding display /org/gnome/DisplayManager/Displays/94841102789088 to store
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: Managing display: /org/gnome/DisplayManager/Displays/94841102789088
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: Preparing display: /org/gnome/DisplayManager/Displays/94841102789088
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: Checking kernel command buffer bootx64-gentoo.efi root=PARTUUID=d25e26f1-b01c-564b-9591-7d1252e1a072 rootfstype=ext4 ro quiet
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: Failed to read kernel commandline: Could not match gnome.initial-setup= in kernel cmdline
out 14 13:38:52 saboya-laptop gdm[856]: doing initial setup? no
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: prepare display
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: Got automatic login details for display: 0
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Creating D-Bus server for worker for session
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: D-Bus server for workers listening on unix:abstract=/tmp/dbus-eavjhhJU
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Creating D-Bus server for greeters and such for session (null) (0x5641ea3f4000)
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: D-Bus server for greeters listening on unix:abstract=/tmp/dbus-wVed0bp2
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Setting display device: (null)
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Created user session for user 995 on display /org/gnome/DisplayManager/Displays/94841102789088 (seat seat0)
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: Running greeter
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: Creating greeter for (null) (null)
out 14 13:38:52 saboya-laptop gdm[856]: GdmLaunchEnvironment: Starting...
out 14 13:38:52 saboya-laptop gdm[856]: GdmLaunchEnvironment: Setting up run time dir /run/gdm/greeter
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GLib: setenv()/putenv() are not thread-safe and should not be used after threads are created
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Creating D-Bus server for worker for session
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: D-Bus server for workers listening on unix:abstract=/tmp/dbus-33WjwLs1
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Creating D-Bus server for greeters and such for session (null) (0x5641ea3f4120)
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: D-Bus server for greeters listening on unix:abstract=/tmp/dbus-hLWkJCy2
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Setting display device: (null)
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: starting conversation gdm-launch-environment for session (0x5641ea3f4120)
out 14 13:38:52 saboya-laptop gdm[856]: GdmSessionWorkerJob: Starting worker...
out 14 13:38:52 saboya-laptop gdm[856]: GdmSessionWorkerJob: Running session_worker_job process: gdm-session-worker [pam/gdm-launch-environment] /usr/libexec/gdm-session-worker
out 14 13:38:52 saboya-laptop gdm[856]: GdmSessionWorkerJob: : SessionWorkerJob on pid 859
out 14 13:38:52 saboya-laptop gdm[856]: GdmLocalDisplayFactory: display status changed: 1
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: Enabling debugging
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: connecting to address: unix:abstract=/tmp/dbus-33WjwLs1
out 14 13:38:52 saboya-laptop gdm[856]: GdmDBusServer: new connection 0x5641ea3ce660
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Handling new connection from worker
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Authenticating new connection
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: Seat still actively loading, so not setting loaded property
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: Seat still actively loading, so not setting loaded property
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: Could not get current seat: No data available
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: seat unloaded, so trying to set loaded property
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: Seat wouldn't load, so giving up on it and setting loaded property
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: already loaded, so not setting loaded property
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: worker connection is 0x5641ea3ce660
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Emitting conversation-started signal
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Beginning initialization
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Conversation started
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: attempting to change state to SETUP_COMPLETE
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: initializing PAM; service=gdm-launch-environment username=gdm seat=seat0
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'XDG_SEAT=seat0'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'XDG_SESSION_CLASS=greeter'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: state SETUP_COMPLETE
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: attempting to change state to AUTHENTICATED
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: authenticating user gdm
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: state AUTHENTICATED
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: attempting to change state to AUTHORIZED
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: determining if authenticated user (password required:0) is authorized to session
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: state AUTHORIZED
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: attempting to change state to ACCREDITED
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'LOGNAME=gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'USER=gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'USERNAME=gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'HOME=/var/lib/gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'PWD=/var/lib/gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'SHELL=/sbin/nologin'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: state ACCREDITED
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: type (null), program? yes, seat seat0
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: session display mode set to new-vt
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'XDG_SESSION_TYPE=x11'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: attempting to change state to ACCOUNT_DETAILS_SAVED
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: user gdm, not fully loaded yet, will save account details later
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: trying to track new user with username gdm
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: finding user 'gdm' state 1
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: finding user 'gdm' state 2
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: Looking for user 'gdm' in accounts service
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: Found object path of user 'gdm': /org/freedesktop/Accounts/User995
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: finding user 'gdm' state 3
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: user 'gdm' fetched
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: user gdm is now loaded
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: user gdm was not yet known, adding it
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: tracking user 'gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: not yet loaded, so not emitting user-added signal
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: no pending users, trying to set loaded property
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: already loaded, so not setting loaded property
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionSettings: saved session is
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionSettings: saved language is
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: saving account details for user gdm
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: finished handling request for user 'gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: AccountsService: ActUserManager: unrefing manager owned by fetch user request
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: attempting to change state to SESSION_OPENED
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'XDG_VTNR=7'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: state SESSION_OPENED
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Emitting 'session-opened' signal
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: Greeter session opened
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: session id: c3
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Stopping all conversations except for gdm-launch-environment
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: type (null), program? yes, seat seat0
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: getting session command for file 'gnome.desktop'
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: 'gnome.desktop' registers self
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: type (null), program? yes, seat seat0
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'GDM_LANG=en_US.utf8'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'LC_TIME=pt_BR.UTF-8'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'GIO_USE_VFS=local'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'DCONF_PROFILE=gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'LC_NUMERIC=pt_BR.UTF-8'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'USER=gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'LC_MONETARY=pt_BR.UTF-8'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'SHELL=/sbin/nologin'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'XDG_CURRENT_DESKTOP=GNOME-Greeter:GNOME'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'GVFS_REMOTE_VOLUME_MONITOR_IGNORE=1'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'USERNAME=gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'LOGNAME=gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'LC_MEASUREMENT=pt_BR.UTF-8'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'PWD=/var/lib/gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'LANG=en_US.utf8'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'LC_PAPER=pt_BR.UTF-8'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'HOME=/var/lib/gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'RUNNING_UNDER_GDM=true'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'XDG_DATA_DIRS=/usr/share/gdm/greeter:/usr/local/share/:/usr/share/'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'GDM_VERSION=3.34.1'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'GNOME_SHELL_SESSION_MODE=gdm'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'GDM_SEAT_ID=seat0'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: Set PAM environment variable: 'GVFS_DISABLE_FUSE=1'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: start program: /usr/libexec/gdm-x-session "gnome-session --autostart /usr/share/gdm/greeter/autostart --debug"
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: attempting to change state to SESSION_STARTED
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: opening session for program '/usr/libexec/gdm-x-session'
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: jumping to VT 7
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: first setting graphics mode to prevent flicker
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: VT mode did need to be fixed
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: session opened creating reply...
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSessionWorker: state SESSION_STARTED
out 14 13:38:52 saboya-laptop gdm-launch-environment][859]: GdmSession worker: watching pid 863
out 14 13:38:52 saboya-laptop gdm[856]: GdmSession: Emitting 'session-started' signal with pid '863'
out 14 13:38:52 saboya-laptop gdm[856]: GdmDisplay: Greeter started
out 14 13:38:52 saboya-laptop gdm[856]: GdmManager: trying to register new display
out 14 13:38:52 saboya-laptop gdm[856]: Finding a graphical session for user 995
out 14 13:38:52 saboya-laptop gdm[856]: Considering session 'c3'
out 14 13:38:52 saboya-laptop gdm[856]: GdmLocalDisplayFactory: display status changed: 2
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 543
Location: Brazil

PostPosted: Wed Oct 14, 2020 5:08 pm    Post subject: Reply with quote

Also, there's still an issue with media-plugins/grilo-plugins, which I'm guessing is the lua version:

Code:
Run-time dependency tracker-sparql-2.0 found: NO (tried pkgconfig and cmake)
Run-time dependency tracker-sparql-3.0 found: YES 3.0.1
Run-time dependency tracker-testutils-3.0 found: YES 3.0.1
Dependency lua found: NO found 5.1.5 but need: '>= 5.3.0'
Using 'CXX' from environment with value: 'x86_64-pc-linux-gnu-g++'
Using 'CXXFLAGS' from environment with value: '-march=znver1 -O2 -pipe -fomit-frame-pointer'
Using 'LDFLAGS' from environment with value: '-Wl,-O1 -Wl,--as-needed'
Using 'CPPFLAGS' from environment with value: ''
Using 'FFLAGS' from environment with value: '-march=znver1 -O2 -pipe -fomit-frame-pointer'
Using 'LDFLAGS' from environment with value: '-Wl,-O1 -Wl,--as-needed'
Run-time dependency lua found: NO (tried pkgconfig and cmake)
Run-time dependency lua5.3 found: NO (tried pkgconfig and cmake)
Run-time dependency lua-5.3 found: NO (tried pkgconfig and cmake)
Program gperf found: YES (/usr/bin/gperf)
Program glib-compile-resources found: YES (/usr/bin/glib-compile-resources)

meson.build:152:16: ERROR: Problem encountered: Missing dependencies for tracker plugin


Not sure why I'm the only one hitting this.
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 543
Location: Brazil

PostPosted: Wed Oct 14, 2020 5:26 pm    Post subject: Reply with quote

I noticed the gnome-base/gdm version pulled is still 3.34.1-r1, so I decided to add

Code:
gnome-base/gdm ~adm64


to package.accept_keywords, which made it pull gnome-base/gdm-3.36.3. Aaaaand... No more black screens :) Not sure if 3.34.1-r1 is the intended version, but apparently Gnome 3.38 needs at least gdm-3.36.
Back to top
View user's profile Send private message
dantrell
l33t
l33t


Joined: 01 Jun 2007
Posts: 743
Location: Earth

PostPosted: Thu Oct 15, 2020 6:49 am    Post subject: Reply with quote

saboya wrote:
Also, there's still an issue with media-plugins/grilo-plugins, which I'm guessing is the lua version: [...]

I'm a bit preoccupied at the moment but I'll be investigating this within the next day or so.

saboya wrote:
Not sure if 3.34.1-r1 is the intended version, but apparently Gnome 3.38 needs at least gdm-3.36.

It is the intended version because I initially released GNOME 3.36 with GDM 3.34 and it was only recently that I added support for GDM 3.36 and thus wanted it slotted in ~.

GNOME upstream was actually pretty good about supporting older versions of GDM but I guess they finally bumped the requirements.

Elleni wrote:
[...] I will happily test when the time has come.

I'll be switching things over after I account for @saboya's feedback.

Stay tuned for a day or two (or maybe sooner). :wink:
_________________
Dantrell B.
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 543
Location: Brazil

PostPosted: Thu Oct 15, 2020 11:40 am    Post subject: Reply with quote

Also, just remembered:

media-video/totem-3.38.0 needs >=dev-libs/totem-pl-parser-3.26.5, but currently 3.26.4 is being pulled.
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 543
Location: Brazil

PostPosted: Thu Oct 15, 2020 12:31 pm    Post subject: Reply with quote

dantrell wrote:
saboya wrote:
Also, there's still an issue with media-plugins/grilo-plugins, which I'm guessing is the lua version: [...]

I'm a bit preoccupied at the moment but I'll be investigating this within the next day or so.


I believe I found the issue. Currently the tracker dependency on the ebuild is set to this:

Code:

        tracker? (
                >=app-misc/tracker-2.3.0:= )


And, with app-misc/tracker-3.0.1 being available, it theoretically satisfies that dependency. But it specifically needs app-misc/tracker-2. So I believe it must depend on >=app-misc/tracker-2.3.0:0.

And maybe add a tracker3 USE flag to use tracker3 instead now that totem-3.38 is in the tree.

Also, app-misc/tracker-2.3.6 miners USE flag is satisfied with app-misc/tracker-miners-3.0.1, which I also believe is incorrect and should depend on >=app-misc/tracker-miners-2.3:0 as well.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... , 21, 22, 23  Next
Page 22 of 23

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum